Package fr.gouv.vitam.functional.administration.common.config

# Class FunctionalAdminIndexationConfiguration

java.lang.Object
fr.gouv.vitam.functional.administration.common.config.FunctionalAdminIndexationConfiguration

public class FunctionalAdminIndexationConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionalAdminIndexationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CollectionConfiguration`
  `getCollectionConfiguration(FunctionalAdminCollections functionalAdminCollection)`
  `Map<String,CollectionConfiguration>`
  `getCollectionConfigurationMap()`
  `CollectionConfiguration`
  `getDefaultConfiguration()`
  `FunctionalAdminIndexationConfiguration`
  `setCollectionConfiguration(FunctionalAdminCollections functionalAdminCollection, CollectionConfiguration propertyValue)`
  `void`
  `setCollectionConfiguration(String collection, CollectionConfiguration propertyValue)`
  `FunctionalAdminIndexationConfiguration`
  `setDefaultConfiguration(CollectionConfiguration defaultConfiguration)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionalAdminIndexationConfiguration

    public FunctionalAdminIndexationConfiguration()

- ## Method Details

  - ### getCollectionConfigurationMap

    public Map<String,CollectionConfiguration> getCollectionConfigurationMap()

  - ### setCollectionConfiguration

    public void setCollectionConfiguration(String collection, CollectionConfiguration propertyValue)

  - ### setCollectionConfiguration

    public FunctionalAdminIndexationConfiguration setCollectionConfiguration(FunctionalAdminCollections functionalAdminCollection, CollectionConfiguration propertyValue)

  - ### getCollectionConfiguration

    public CollectionConfiguration getCollectionConfiguration(FunctionalAdminCollections functionalAdminCollection)

  - ### getDefaultConfiguration

    public CollectionConfiguration getDefaultConfiguration()

  - ### setDefaultConfiguration

    public FunctionalAdminIndexationConfiguration setDefaultConfiguration(CollectionConfiguration defaultConfiguration)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`